Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 428576 - Review Request: mkelfimage - Utility to create ELF boot images from Linux kernel images
Summary: Review Request: mkelfimage - Utility to create ELF boot images from Linux ker...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Domsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2008-01-13 17:32 UTC by Jason Tibbitts
Modified: 2008-01-19 20:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-19 20:21:00 UTC
matt_domsch: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Jason Tibbitts 2008-01-13 17:32:08 UTC
Spec URL:
http://www.math.uh.edu/~tibbs/rpms/mkelfimage/mkelfimage.spec

SRPM URL: 
http://www.math.uh.edu/~tibbs/rpms/mkelfimage/mkelfimage-2.7-1.fc9.src.rpm

Description: 
mkelfImage is a program that makes a elf boot image for linux kernel images.
The image should work with any i386 multiboot compliant boot loader, an ELF
boot loader that passes no options, a loader compliant with the linuxBIOS elf
booting spec or with the linux kexec kernel patch.  A key feature here is that
nothing relies upon BIOS calls, but they are made when necessary.  This is
useful for systems running linuxbios.

I've worked with Warren to make this package for LTSP; I'll help it throuh review but he will end up being the primary maintainer.

Comment 1 Matt Domsch 2008-01-17 05:40:28 UTC
* rpmlint completely empty OK
* Name OK
* SPEC file name matches package name OK
* Packaging
  - Legal GPLv2 OK
  - no pre-built binaries OK
  - FHS dirs OK
  - changelog OK
  - tags OK
  - BuildRoot OK, could be better
  - prepping buildroot OK
  - no Requires OK
  - no PreReq ok
  - Summary & description OK
  - Encoding UTF-8 OK
  - no non-ascii filenames OK
  - %docs OK
  - compiler flags passed by %configure w/o changes, OK
  - debuginfo created OK
  - no static libs OK
  - no duplication of system libs OK
  - no rpaths OK
  - no config files OK
  - no initscripts OK
  - no desktop files OK
  - macros sane OK
  - no locale files OK
  - no file copying OK
  - parallel make OK
  - no scriptlets OK
  - no conditional deps OK
  - builds as another user OK
  - not relocatable OK
  - code, not content.  OK
  - dirs owned by filesystem pkg OK
  - no user and groups created OK
  - not a web app OK
  - no conflicts OK
  - no external kernel modules OK
* License GPLv2 OK
* License field matches OK
* License COPYING included in %doc OK
* Spec in English OK
* Spec legible OK
* source matches upstream tarball OK
* package compiles on i386 at least OK
* no extra BuildRequires OK
* no locales OK
* no shared libs OK
* not relocatable OK
* dir ownership OK
* no dupe files OK
* permissions on files OK, defaddr present OK
* %clean OK
* use of macros OK
* code, not content OK
* no large docs OK
* no headers OK
* no static libs OK
* no pkgconfig OK
* no lib files OK
* no devel package needed OK
* no .la files OK
* no GUI apps, therefore no .desktop file OK
* directory ownership OK
* %install cleans out first OK
* all filesnames in UTF-8 OK

SHOULD
* license included OK
* not translated, OK
* builds in mock for i386 and x86_64
* did not run it - SHOULD DO - leave up to LTSP dev / test team
* no scriptlets OK
* no subpackages OK
* no pkgconfig files OK
* no file deps OK


Nits:
* license is GPLv2 per manpage, remove comment in spec at checkin.


APPROVED.

Comment 2 Jason Tibbitts 2008-01-18 19:53:15 UTC
Thanks, Matt!  As the reviewer, this ticket should be assigned to you so I'll go
ahead and do that now.  I'll also do my own CVS.

Package Name: mkelfimage
Short Description: Utility to create ELF boot images from Linux kernel images
Owners: warren tibbs
Branches: F-8
InitialCC:
Cvsextras Commits: yes

Comment 3 Matt Domsch 2008-01-19 20:21:00 UTC
Built and in rawhide now I see.  Closing.


Note You need to log in before you can comment on or make changes to this bug.